routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function ()
{
    return redirect()->route('login');
});

Route::middleware(['guest'])->group(function ()
{
    Route::get('forgot-password', 'ForgotPasswordController@showForgotPasswordForm');

    Route::post('forgot-password', 'ForgotPasswordController@sendMail')->name('forgot-password');

    Route::get('reset-password', 'ResetPasswordController@showResetPasswordForm');

    Route::post('reset-password', 'ResetPasswordController@reset')->name('password.reset');

    Route::get('login', 'AuthController@showLoginForm');

    Route::post('login', 'AuthController@authenticate')->name('login');
});

Route::middleware(['auth'])->group(function ()
{
    Route::post('logout', 'AuthController@logout')->name('logout');

    Route::get('dashboard', 'DashboardController')->name('dashboard.index');

    Route::name('dashboard.')->prefix('dashboard')->group(function()
    {
        Route::resource('unit', 'UnitController')->only('index', 'store');

        Route::prefix('p2h')->name('p2h.')->group(function()
        {
            Route::post('export-excel', 'P2HExportExcelController')->name('export-excel');

            Route::post('{firebaseId}/reminder', 'P2HReminderController')->name('reminder');

            Route::get('{firebaseId}/export-pdf', 'P2HExportPdfController')->name('export-pdf');

            Route::get('{firebaseId}/create-ticket', 'P2HCreateTicketController')->name('create-ticket');

            Route::get('{firebaseId}/export-ticket-pdf', 'P2HExportTicketPdfController')->name('export-ticket-pdf');
        });

        Route::resource('p2h', 'P2HController')->except('destroy');

        Route::prefix('report')->name('report.')->group(function()
        {
            Route::post('export-pdf', 'ReportExportPdfController')->name('export-pdf');

            Route::post('export-excel', 'ReportExportExcelController')->name('export-excel');
        });

        Route::resource('report', 'ReportController')->only('index');
    });
});

app/Report.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Report extends Model
{
    protected $table = 'report';

    protected $guarded = ['id'];

    public function p2h()
    {
        return $this->belongsTo(P2H::class, 'p2h_id', 'id');
    }
}

app/Http/Controllers/ReportController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class ReportController extends Controller
{
    public function index(Request $request)
    {
        $startDate = $request->start_date ?? date('Y-m-01');
        $endDate = $request->end_date ?? date('Y-m-t');
        $data['start_date'] = $startDate . ' 00:00:00';
        $data['end_date'] = $endDate . ' 23:59:59';

        return view('dashboard.report.index', $data);
    }
}

resources/views/exports/report/excel.blade.php
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <title>Report P2H</title>
  </head>
  <body>
    <table border="1">
        <thead>
            <tr>
                <th style="text-align: center;" rowspan="2">Unit List</th>
                <th style="text-align: center;" rowspan="1" colspan="5">P2H</th>
            </tr>
            <tr>
                <th style="text-align: center;">No. Doc</th>
                <th style="text-align: center;">Operator</th>
                <th style="text-align: center;">Mekanik</th>
                <th style="text-align: center;">Foreman</th>
                <th style="text-align: center;">Superintendent</th>
            </tr>
        </thead>
        <tbody id="tbody-report">
            @foreach ($list_report as $key => $report)
                <tr>
                    <td style="text-align: center;" rowspan="2">{{ $report->no_unit }}</td>
                    <td class="align-middle">
                        <a href="{{ route('dashboard.p2h.show', $report->firebase_id) }}">{{ $report->nomor_dokumen }}</a>
                    </td>
                    <td style="text-align: center;" rowspan="2">{{ $report->date_approve_operator != 'out' ? date('d/m/Y H:i', strtotime($report->date_approve_operator)) : 'out' }}</td>
                    <td style="text-align: center;" rowspan="2">{{ $report->date_approve_mekanik != 'out' ? date('d/m/Y H:i', strtotime($report->date_approve_mekanik)) : 'out' }}</td>
                    <td style="text-align: center;" rowspan="2">{{ $report->date_approve_foreman != 'out' ? date('d/m/Y H:i', strtotime($report->date_approve_foreman)) : 'out' }}</td>
                    <td style="text-align: center;" rowspan="2">{{ $report->date_approve_superintendent != 'out' ? date('d/m/Y H:i', strtotime($report->date_approve_superintendent)) : 'out' }}</td>
                </tr>
                <tr>
                    <td>
                        <p class="mb-0">{{ $report->status }}</p>
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
  </body>
</html>

resources/views/exports/report/pdf.blade.php
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <title>Report P2H</title>
    <style>
        *{
            font-size: 12px;
        }
    </style>
  </head>
  <body>
    <div class="p-0">
        <div class="d-flex justify-content-between flex-md-row flex-column pb-2">
            <div>
                <div class="d-flex mb-1">
                    <h1 class="font-weight-normal">Report</h1>
                </div>
            </div>
        </div>

        <div>
            <table class="table table-bordered" id="table-report">
                <thead>
                    <tr>
                        <th class="text-center align-middle" rowspan="2">Unit List</th>
                        <th class="text-center" rowspan="1" colspan="5">P2H</th>
                    </tr>
                    <tr>
                        <th class="text-center">No. Doc</th>
                        <th class="text-center">Operator</th>
                        <th class="text-center">Mekanik</th>
                        <th class="text-center">Foreman</th>
                        <th class="text-center">Superintendent</th>
                    </tr>
                </thead>
                <tbody id="tbody-report">
                    @foreach ($list_report as $key => $report)
                        <tr>
                            <td class="align-middle text-center">{{ $report->no_unit }}</td>
                            <td class="align-middle">
                                <a href="{{ route('dashboard.p2h.show', $report->firebase_id) }}">{{ $report->nomor_dokumen }}</a>
                                <br>
                                <p class="mb-0">{{ $report->status }}</p>
                            </td>
                            <td style="text-align: center;">{{ $report->date_approve_operator != 'out' ? date('d/m/Y H:i', strtotime($report->date_approve_operator)) : 'out' }}</td>
                            <td style="text-align: center;">{{ $report->date_approve_mekanik != 'out' ? date('d/m/Y H:i', strtotime($report->date_approve_mekanik)) : 'out' }}</td>
                            <td style="text-align: center;">{{ $report->date_approve_foreman != 'out' ? date('d/m/Y H:i', strtotime($report->date_approve_foreman)) : 'out' }}</td>
                            <td style="text-align: center;">{{ $report->date_approve_superintendent != 'out' ? date('d/m/Y H:i', strtotime($report->date_approve_superintendent)) : 'out' }}</td>
                                </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
  </body>
</html>